Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
Upstream-Name: LXC
Upstream-Contact: lxc-devel@lists.linuxcontainers.org
Source: http://linuxcontainers.org/downloads/

Files: *
Copyright: 2007-2009 Daniel Lezcano <daniel.lezcano@free.fr>
           2007-2012 IBM Corporation
           2011-2022 Serge Hallyn <serge@hallyn.com>
           2012-2022 Stéphane Graber <stgraber@stgraber.org>
           2015-2022 Canonical Ltd
           2015-2022 Christian Brauner <christian.brauner@ubuntu.com>
           2017 Adrian Reber <areber@redhat.com>
License: LGPL-2.1+

Files: src/lxc/*
Copyright: 2007-2009 Daniel Lezcano <daniel.lezcano@free.fr>
           2011-2022 Serge Hallyn <serge@hallyn.com>
           2012-2022 Stéphane Graber <stgraber@stgraber.org>
           2012-2015 Dwight Engen <dwight.engen@oracle.com>
           2015-2022 Canonical Ltd
           2015-2022 Christian Brauner <christian.brauner@ubuntu.com>
           2017 Adrian Reber <areber@redhat.com>
License: LGPL-2.1+

Files: src/lxc/tools/lxc_ls.c src/lxc/tools/lxc_copy.c src/lxc/tools/lxc_destroy.c src/lxc/tools/lxc_checkpoint.c src/lxc/tools/lxc_create.c src/lxc/tools/lxc_snapshot.c
Copyright: 2007-2009 Daniel Lezcano <daniel.lezcano@free.fr>
           2011-2022 Serge Hallyn <serge@hallyn.com>
           2012-2022 Stéphane Graber <stgraber@stgraber.org>
           2012-2015 Dwight Engen <dwight.engen@oracle.com>
           2015-2022 Canonical Ltd
           2015-2022 Christian Brauner <christian.brauner@ubuntu.com>
           2017 Adrian Reber <areber@redhat.com>
License: GPL-2+

Files: src/include/*
Copyright: 2012-2022 Stéphane Graber <stgraber@stgraber.org>
           2015-2022 Canonical Ltd
           2015-2022 Christian Brauner <christian.brauner@ubuntu.com>
License: LGPL-2.1+

Files: src/include/getgrgid_r.c src/include/getgrgid_r.h src/include/strchrnul.c src/include/strchrnul.h src/include/strlcat.c src/include/strlcat.h src/include/strlcpy.c src/include/strlcpy.h
Copyright: 2012-2022 Stéphane Graber <stgraber@stgraber.org>
           2015-2022 Canonical Ltd
           2015-2022 Christian Brauner <christian.brauner@ubuntu.com>
License: GPL-2+

Files: src/include/bpf_common.h src/include/bpf.h
Copyright: Copyright (c) 2011-2014 PLUMgrid, http://plumgrid.com
License: GPL-2+

Files: src/include/prlimit.c src/include/prlimit.h
Copyright: 2008 The Android Open Source Project
License: BSD-2-Clause

Files: src/include/getline.c src/include/getline.h
Copyright: 2006 SPARTA, Inc.
License: BSD-2-clause

Files: src/include/lxcmntent.c src/include/lxcmntent.h src/include/openpty.c src/include/openpty.h
Copyright: 1995-2013 Free Software Foundation, Inc.
License: LGPL-2.1+

Files: src/tests/*
Copyright: 2011-2022 Serge Hallyn <serge@hallyn.com>
           2012-2022 Stéphane Graber <stgraber@stgraber.org>
           2015-2022 Canonical Ltd
           2012-2015 Dwight Engen <dwight.engen@oracle.com>
           2012-2013 Oracle
           2015-2022 Christian Brauner <christian.brauner@ubuntu.com>
License: GPL-2+

Files: src/tests/console.c src/tests/attach.c
Copyright: 2012-2015 Dwight Engen <dwight.engen@oracle.com>
           2012-2013 Oracle
License: GPL-2+

Files: src/tests/lxc_raw_clone.c src/tests/lxc-test-apparmor-generated src/tests/lxc-test-apparmor-mount src/tests/lxc-test-automount src/tests/lxc-test-autostart src/tests/lxc-test-cloneconfig src/tests/lxc-test-createconfig src/tests/lxc-test-exit-code src/tests/lxctest.h src/tests/lxc-test-lxc-attach src/tests/lxc-test-no-new-privs src/tests/lxc-test-procsys src/tests/lxc-test-rootfs src/tests/lxc-test-snapdeps src/tests/lxc-test-unpriv src/tests/lxc-test-usernic.in src/tests/lxc-test-utils.c src/tests/reboot.c
Copyright: 2011-2022 Serge Hallyn <serge@hallyn.com>
           2012-2022 Stéphane Graber <stgraber@stgraber.org>
           2015-2022 Canonical Ltd
           2012-2015 Dwight Engen <dwight.engen@oracle.com>
           2012-2013 Oracle
           2015-2022 Christian Brauner <christian.brauner@ubuntu.com>
License: LGPL-2.1+

Files: hooks/clonehostname
Copyright: 2013 Oracle
License: GPL-2+

Files: hooks/dhclient-script
Copyright: 1997 Dan Halbert
           1999 Brian J. Murrell
License: GPL-2+

Files: hooks/mountecryptfsroot
Copyright: 2011-2013 Canonical Ltd
License: LGPL-2.1+

Files: hooks/nvidia
Copyright: 2017, 2018 NVIDIA CORPORATION.
License: LGPL-2.1+

Files: hooks/squid-deb-proxy-client
Copyright: 2014 Christopher Glass.
License: GPL-2+

Files: hooks/unmount-namespace.c
Copyright: 2015 Wolfgang Bumiller <w.bumiller@proxmox.com>
License: GPL-2+

Files: debian/*
Copyright: 2011-2015 Daniel Baumann <mail@daniel-baumann.ch>
           2015-2022 Antonio Terceiro <terceiro@debian.org>
           2016-2017 Evgeni Golov <evgeni@debian.org>
           2018 Salvatore Bonaccorso <carnil@debian.org>
           2018-2022 Pierre-Elliott Bécue <peb@debian.org>
           2022-2023 Mathias Gibbens
License: GPL-2+

License: BSD-2-clause
 Redistribution and use in source and binary forms, with or without modification,
 are permitted provided that the following conditions are met:
 .
  * Redistributions of source code must retain the above copyright notice, this
    list of conditions and the following disclaimer.
  * Redistributions in binary form must reproduce the above copyright notice,
    this list of conditions and the following disclaimer in the documentation
    and/or other materials provided with the distribution.
 .
 THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR
 ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
 ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

License: GPL-2+
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 2 of the License, or
 (at your option) any later version.
 .
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 GNU General Public License for more details.
 .
 You should have received a copy of the GNU General Public License
 along with this program. If not, see <http://www.gnu.org/licenses/>.
 .
 The complete text of the GNU General Public License
 can be found in /usr/share/common-licenses/GPL-2 file.

License: LGPL-2.1+
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU Lesser General Public License as published by
 the Free Software Foundation, either version 2.1 of the License, or
 (at your option) any later version.
 .
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 GNU Lesser General Public License for more details.
 .
 You should have received a copy of the GNU Lesser General Public License
 along with this program. If not, see <http://www.gnu.org/licenses/>.
 .
 The complete text of the GNU Lesser General Public License
 can be found in /usr/share/common-licenses/LGPL-2.1 file.
